Change User Pin
curl --request POST \
--url https://testnet.walletkit.com/wallets/change-user-pin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network": "Polygon",
"address": "0x976Cf57B7EE1D84E73BE9115457889d49a8A1335",
"old_user_pin": "123456",
"new_user_pin": "654321"
}
'import requests
url = "https://testnet.walletkit.com/wallets/change-user-pin"
payload = {
"network": "Polygon",
"address": "0x976Cf57B7EE1D84E73BE9115457889d49a8A1335",
"old_user_pin": "123456",
"new_user_pin": "654321"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network: 'Polygon',
address: '0x976Cf57B7EE1D84E73BE9115457889d49a8A1335',
old_user_pin: '123456',
new_user_pin: '654321'
})
};
fetch('https://testnet.walletkit.com/wallets/change-user-pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Wallets
Change User Pin
Change pin for user controlled wallets
Change User Pin
Headers
Your WalletKit Project ID can be found on the API Keys page in the WalletKit Dashboard.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
Ethereum, Polygon, Base, Avalanche, Polkadot, Vara Example:
"0x976Cf57B7EE1D84E73BE9115457889d49a8A1335"
A 6-digit numeric pin that is only known to the user, set during wallet creation. This pin is required to sign transactions from this wallet.
A 6-digit numeric pin that is only known to the user, set during wallet creation. This pin is required to sign transactions from this wallet.
Response
Example:
true
⌘I